Name:           python-parse_type
Version:        0.6.2
Release:        1
Summary:        Make parse types building more easier by parse module
License:        MIT
URL:            https://github.com/jenisys/parse_type
Source0:        https://github.com/jenisys/parse_type/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch

%{?python_enable_dependency_generator}

%description
Parse_type extends the "parse" module (opposite of string.format()") with the following
features:build type converters for common use cases (enum/mapping, choice) build a type
converter with a cardinality constraint (0..1,0..*, 1..*) from the type converter with
cardinality=1.compose a type converter from other type converters an extended parser
that supports the CardinalityField naming schema and creates missing type variants
(0..1, 0..*, 1..*) from the primary type converte.

%package -n python3-parse_type
Summary:        Make parse types building more easier by parse module
%{?python_provide:%python_provide python3-parse_type}
BuildRequires:  python3-devel python3-setuptools python3-six python3-parse
BuildRequires:  python3-pytest python3-pytest-runner python3-sphinx >= 1.1
BuildRequires:  python3-pip python3-wheel

%description -n python3-parse_type
Parse_type extends the "parse" module (opposite of string.format()") with the following
features:build type converters for common use cases (enum/mapping, choice) build a type
converter with a cardinality constraint (0..1,0..*, 1..*) from the type converter with
cardinality=1.compose a type converter from other type converters an extended parser
that supports the CardinalityField naming schema and creates missing type variants
(0..1, 0..*, 1..*) from the primary type converte.

%prep
%autosetup -n parse_type-%{version}

%build
# remove deps on pytest-html
sed -i -e '/^\s*"pytest-html >= /d' setup.py
sed -i -e '/^\s*"pytest-html >= /d' pyproject.toml
sed -i -e '/^pytest-html >= /d' py.requirements/testing.txt

%pyproject_build

%install
%pyproject_install


%check
sed -i \
  -e '/^addopts = --metadata PACKAGE_UNDER_TEST parse_type/d' \
  -e '/^    --metadata PACKAGE_VERSION [0-9].[0-9].[0-9]/d' \
  -e '\%    --html=build/testing/report.html --self-contained-html%d' \
  -e '\%    --junit-xml=build/testing/report.xml%d' \
  pytest.ini

pytest


%files -n python3-parse_type
%license LICENSE
%doc README.rst
%{python3_sitelib}/{parse_type-%{version}.dist-info/,parse_type/}

%changelog
* Mon Jul 10 2023 wangkai <13474090681@163.com> - 0.6.2-1
- Update to 0.6.2 for fix test_parse.py fail
- Switch compilation method setup.py to pyproject

* Wed Apr 12 2023 liyanan <thistleslyn@163.com> - 0.6.0-1
- Update to 0.6.0

* Thu Jun 23 2022 SimpleUpdate Robot <tc@openeuler.org> - 0.5.2-1
- Upgrade to version 0.5.2

* Thu Jan 06 2022 wangkai <wangkai385@huawei.com> - 0.4.2-4
- fix build failed for python-setuptools-59.4

* Fri Sep 11 2020 wangxiao <wangxiao65@huawei.com> - 0.4.2-3
- remove python2 support
* Fri Dec 13 2019 yanzhihua <yanzhihua4@huawei.com> - 0.4.2-2
- Package init
